UXSPI fails to detect the firmware version and update the firmware of IBM Flex System FC5022 Daul-Port 16 Gigabit Fibre Channel adapter on VMware vSphere 5.0, 5.0u1, and 5.1 - IBM Systems



Source

RETAIN tip: H207249

Symptom

UpdateXpress System Pack Installer (UXSPI) fails to detect the installed firmware version of the IBM Flex System FC5022 Dual-Port 16 Gigabit Fibre Channel (FC) adapter on VMware vSphere versions 5.0, 5.0u1, and 5.1.

Also, the firmware update of this options card fails to perform on VMware vSphere 5.0, 5.0u1, and 5.1 with return code 212, as seen in the following example:

 

./ibm_utl_uxspi_9.28_a_rhel5_32-64.bin up -L -e all -i
brcd_fw_cna_3.1.0.1_vmware_x86-64 -s all -u
--vmware-esxi=https://root:@192.168.111.50
Extracting...
Executing...

This Program is licensed under the terms of the agreement available by invoking this utility with the --license option. By extracting, copying, accessing, or using the Program, you agree to the terms of this agreement. If you do not agree to the terms, please uninstall the software and return it to IBM or the reseller from whom you acquired the software for a refund, if any.

Initializing, Please wait...
Gather inventory info from VMware ESXi
Try to get IMM info from VMware ESXi. It may take up to 20 minutes. Please wait ...
Successfully received IMM info from VMware ESXi.

-----Running VMware ESXi : root/brocade namespace
-----Running VMware ESXi : root/brcmbnxns namespace
-----Running VMware ESXi : IBM/imm0/cimv2 namespace
-----Running VMware ESXi : IBM/imm1/cimv2 namespace
-----Running VMware ESXi : IBM/imm2/cimv2 namespace
-----Running VMware ESXi : IBM/imm3/cimv2 namespace
-----Running VMware ESXi : root/emulex namespace
-----Running VMware ESXi : LSI/lsimr13 namespace
-----Running VMware ESXi : QLogic/cimv2 namespace
-----Running VMware ESXi : root/cimv2 namespace
-----Running VMware ESXi : root/ibmsd namespace
UXSPIVersion 9.28.12, SEP:
3.00.08
(C) Copyright IBM Corp. 2004-2012. All Rights Reserved.
Active Machine Type: 7906, OS: vSphere Hypervisor 5 (64 bit)
Gathering Inventory done
Querying Updates done
Comparing Updates
(1) [*] Brocade StartCode Update for 16G FC, 10G CNA and 4/8G FC HBA
Severity : Suggested
Reboot : Reboot Required to take effect
Update ID : brcd_fw_cna_3.1.0.1_vmware_x86-64
Requisites : None
New Version : 3.1.0.1
Installed Version : Undetected

Legend:
[*] - Update version is selected and will be installed
[ ] - Update version is deselected and will not be installed

Copying update files to temporary directory...
............
(1 of 1) Running Brocade StartCode Update for 16G FC, 10G CNA
and 4/8G FC HBA....
Begin to transfer file using SFTP brcd_fw_cna_3.1.0.1_vmware_x86-64.bin to VMware ESXi image
Transfer file brcd_fw_cna_3.1.0.1_vmware_x86-64.bin completed successfully.

Begin to transfer file using SFTP brcd_fw_cna_3.1.0.1_vmware_x86-64.xml to VMware ESXi image
Transfer file brcd_fw_cna_3.1.0.1_vmware_x86-64.xml completed successfully.
Begin to flash package ...
...................................................
.....................................Error code=212 <---

..Download Fupb Log fupbdebug.txt completed successfully.
........
There were problems running some updates. See /var/log/ibm_Support/UXSPI_localhost.localdomain_7906_06PBT84_20121025164744.852000-240.log for details.

Finished applying selected updates

(1) Brocade StartCode Update for 16G FC, 10G CNA and 4/8G FC HBA
Name: Brocade StartCode Update for 16G FC, 10G CNA and
4/8G FC HBA
New Version: 3.1.0.1
Reboot: Reboot Required to take effect
Requisites: None
Status: ***Install did not succeed***

Affected configurations

The system is configured with at least one of the following:

  • UpdateXpress Service Pack Installer version 9.20
  • UpdateXpress Service Pack Installer version 9.21

This tip is not system specific.

This tip is not option specific.

The brcd_fw_cna_3.1.0.1_vmware_x86-64 firmware for the IBM Flex System FC5022 Dual-Port 16 Gigabyte Fibre Channel adapter is affected.

The system has the symptom described above.

Note: This does not imply that the network operating system will work under all combinations of hardware and software.

Please see the compatibility page for more information: http://www.ibm.com/systems/info/x86servers/serverproven/compat/us/

Solution

This behavior has been corrected in a release of the Brocade driver firmware. User can pick UXSPI 9.40 and IBM VMware ESXi patch6 to update the firmware of this card.

The file is available by selecting the appropriate Product Group, type of System, Product name, Product machine type, and Operating system on IBM Support's Fix Central web page, at the following URL:

Workaround

Use Bootable Media Creator (BoMC) to create a startable media to update the firmware of IBM Flex System FC5022 Dual-Port 16 Gigabyte Fibre Channel adapter.

Additional information

UXSPI failed to detect the firmware version and update the firmware of IBM Flex System FC5022 Dual-Port 16 Gigabyte Fibre Channel adapter on VMware vSphere versions 5.0, 5.0u1, and 5.1.

On the VMware vSphere 5.1 and 5.0u1 image, the hardware cannot be detected by the operating system. Cannot find the hardware information from the 'lspci' information.

The root cause for this issue is the Brocade driver. The hardware information from the driver cannot be detected on VMware vSphere 5.0, 5.0u1, and 5.1, so the fix to this problem depends on updating the Brocade driver.

Applicable countries and regions

 


Document id:  MIGR-5092249
Last modified:  2013-07-12
Copyright © 2014 IBM Corporation